boost::geometry::tag< Geometry > Struct Template Reference
core: meta-functions for geometry types

Metafunction defining [*type] as the tag of the \3. More...

List of all members.

## Public Types

typedef traits::tag< typename geometry::util::bare_type < Geometry >::type >::type | type

## Detailed Description

### template<typename Geometry>
struct boost::geometry::tag< Geometry >

Metafunction defining [*type] as the tag of the \3.

With Boost.Geometry, tags are the driving force of the tag dispatching mechanism. The tag metafunction is therefore used in every free function.

Template Parameters:

  Geometry | Any type fulfilling a Geometry Concept

## Member Typedef Documentation

template<typename Geometry >

typedef traits::tag< typename geometry::util::bare_type<Geometry>::type >::type boost::geometry::tag< Geometry >::type

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK